
/* This file is generated by glib-mkenums, do not modify it. This code is licensed under the same license as the containing project. Note that it links to GLib, so must comply with the LGPL linking clauses. */

#include "wpenums.h"
#include "base-dirs.h"
#include "client.h"
#include "component-loader.h"
#include "conf.h"
#include "core.h"
#include "defs.h"
#include "device.h"
#include "error.h"
#include "event.h"
#include "event-dispatcher.h"
#include "event-hook.h"
#include "global-proxy.h"
#include "iterator.h"
#include "json-utils.h"
#include "link.h"
#include "log.h"
#include "metadata.h"
#include "settings.h"
#include "module.h"
#include "node.h"
#include "object.h"
#include "object-interest.h"
#include "object-manager.h"
#include "plugin.h"
#include "port.h"
#include "properties.h"
#include "proxy.h"
#include "proxy-interfaces.h"
#include "session-item.h"
#include "si-factory.h"
#include "si-interfaces.h"
#include "spa-json.h"
#include "spa-pod.h"
#include "spa-type.h"
#include "state.h"
#include "transition.h"
#include "wp.h"
#include "factory.h"

#define C_ENUM(v) ((gint) v)
#define C_FLAGS(v) ((guint) v)

/* enumerations from "base-dirs.h" */

GType
wp_base_dirs_flags_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_BASE_DIRS_ENV_CONFIG), "WP_BASE_DIRS_ENV_CONFIG", "env-config" },
    { C_FLAGS(WP_BASE_DIRS_ENV_DATA), "WP_BASE_DIRS_ENV_DATA", "env-data" },
    { C_FLAGS(WP_BASE_DIRS_ENV_MODULE), "WP_BASE_DIRS_ENV_MODULE", "env-module" },
    { C_FLAGS(WP_BASE_DIRS_XDG_CONFIG_HOME), "WP_BASE_DIRS_XDG_CONFIG_HOME", "xdg-config-home" },
    { C_FLAGS(WP_BASE_DIRS_XDG_DATA_HOME), "WP_BASE_DIRS_XDG_DATA_HOME", "xdg-data-home" },
    { C_FLAGS(WP_BASE_DIRS_XDG_CONFIG_DIRS), "WP_BASE_DIRS_XDG_CONFIG_DIRS", "xdg-config-dirs" },
    { C_FLAGS(WP_BASE_DIRS_BUILD_SYSCONFDIR), "WP_BASE_DIRS_BUILD_SYSCONFDIR", "build-sysconfdir" },
    { C_FLAGS(WP_BASE_DIRS_XDG_DATA_DIRS), "WP_BASE_DIRS_XDG_DATA_DIRS", "xdg-data-dirs" },
    { C_FLAGS(WP_BASE_DIRS_BUILD_DATADIR), "WP_BASE_DIRS_BUILD_DATADIR", "build-datadir" },
    { C_FLAGS(WP_BASE_DIRS_BUILD_LIBDIR), "WP_BASE_DIRS_BUILD_LIBDIR", "build-libdir" },
    { C_FLAGS(WP_BASE_DIRS_FLAG_MODULE), "WP_BASE_DIRS_FLAG_MODULE", "flag-module" },
    { C_FLAGS(WP_BASE_DIRS_FLAG_SUBDIR_WIREPLUMBER), "WP_BASE_DIRS_FLAG_SUBDIR_WIREPLUMBER", "flag-subdir-wireplumber" },
    { C_FLAGS(WP_BASE_DIRS_CONFIGURATION), "WP_BASE_DIRS_CONFIGURATION", "configuration" },
    { C_FLAGS(WP_BASE_DIRS_DATA), "WP_BASE_DIRS_DATA", "data" },
    { C_FLAGS(WP_BASE_DIRS_MODULE), "WP_BASE_DIRS_MODULE", "module" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpBaseDirsFlags"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "core.h" */

GType
wp_core_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_CORE_FEATURE_CONNECTED), "WP_CORE_FEATURE_CONNECTED", "connected" },
    { C_FLAGS(WP_CORE_FEATURE_COMPONENTS), "WP_CORE_FEATURE_COMPONENTS", "components" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpCoreFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "device.h" */

GType
wp_spa_device_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_SPA_DEVICE_FEATURE_ENABLED), "WP_SPA_DEVICE_FEATURE_ENABLED", "enabled" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpSpaDeviceFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "error.h" */

GType
wp_library_error_enum_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_LIBRARY_ERROR_INVARIANT), "WP_LIBRARY_ERROR_INVARIANT", "invariant" },
    { C_ENUM(WP_LIBRARY_ERROR_INVALID_ARGUMENT), "WP_LIBRARY_ERROR_INVALID_ARGUMENT", "invalid-argument" },
    { C_ENUM(WP_LIBRARY_ERROR_OPERATION_FAILED), "WP_LIBRARY_ERROR_OPERATION_FAILED", "operation-failed" },
    { C_ENUM(WP_LIBRARY_ERROR_SERVICE_UNAVAILABLE), "WP_LIBRARY_ERROR_SERVICE_UNAVAILABLE", "service-unavailable" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpLibraryErrorEnum"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "link.h" */

GType
wp_link_state_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_LINK_STATE_ERROR), "WP_LINK_STATE_ERROR", "error" },
    { C_ENUM(WP_LINK_STATE_UNLINKED), "WP_LINK_STATE_UNLINKED", "unlinked" },
    { C_ENUM(WP_LINK_STATE_INIT), "WP_LINK_STATE_INIT", "init" },
    { C_ENUM(WP_LINK_STATE_NEGOTIATING), "WP_LINK_STATE_NEGOTIATING", "negotiating" },
    { C_ENUM(WP_LINK_STATE_ALLOCATING), "WP_LINK_STATE_ALLOCATING", "allocating" },
    { C_ENUM(WP_LINK_STATE_PAUSED), "WP_LINK_STATE_PAUSED", "paused" },
    { C_ENUM(WP_LINK_STATE_ACTIVE), "WP_LINK_STATE_ACTIVE", "active" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpLinkState"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "log.h" */

GType
wp_log_topic_flags_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_LOG_TOPIC_LEVEL_MASK), "WP_LOG_TOPIC_LEVEL_MASK", "level-mask" },
    { C_FLAGS(WP_LOG_TOPIC_FLAG_STATIC), "WP_LOG_TOPIC_FLAG_STATIC", "flag-static" },
    { C_FLAGS(WP_LOG_TOPIC_FLAG_INITIALIZED), "WP_LOG_TOPIC_FLAG_INITIALIZED", "flag-initialized" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpLogTopicFlags"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "metadata.h" */

GType
wp_metadata_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_METADATA_FEATURE_DATA), "WP_METADATA_FEATURE_DATA", "data" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpMetadataFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "node.h" */

GType
wp_node_state_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_NODE_STATE_ERROR), "WP_NODE_STATE_ERROR", "error" },
    { C_ENUM(WP_NODE_STATE_CREATING), "WP_NODE_STATE_CREATING", "creating" },
    { C_ENUM(WP_NODE_STATE_SUSPENDED), "WP_NODE_STATE_SUSPENDED", "suspended" },
    { C_ENUM(WP_NODE_STATE_IDLE), "WP_NODE_STATE_IDLE", "idle" },
    { C_ENUM(WP_NODE_STATE_RUNNING), "WP_NODE_STATE_RUNNING", "running" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpNodeState"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

GType
wp_node_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_NODE_FEATURE_PORTS), "WP_NODE_FEATURE_PORTS", "ports" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpNodeFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "object-interest.h" */

GType
wp_constraint_type_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_CONSTRAINT_TYPE_NONE), "WP_CONSTRAINT_TYPE_NONE", "none" },
    { C_ENUM(WP_CONSTRAINT_TYPE_PW_GLOBAL_PROPERTY), "WP_CONSTRAINT_TYPE_PW_GLOBAL_PROPERTY", "pw-global-property" },
    { C_ENUM(WP_CONSTRAINT_TYPE_PW_PROPERTY), "WP_CONSTRAINT_TYPE_PW_PROPERTY", "pw-property" },
    { C_ENUM(WP_CONSTRAINT_TYPE_G_PROPERTY), "WP_CONSTRAINT_TYPE_G_PROPERTY", "g-property" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpConstraintType"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

GType
wp_constraint_verb_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_CONSTRAINT_VERB_EQUALS), "WP_CONSTRAINT_VERB_EQUALS", "equals" },
    { C_ENUM(WP_CONSTRAINT_VERB_NOT_EQUALS), "WP_CONSTRAINT_VERB_NOT_EQUALS", "not-equals" },
    { C_ENUM(WP_CONSTRAINT_VERB_IN_LIST), "WP_CONSTRAINT_VERB_IN_LIST", "in-list" },
    { C_ENUM(WP_CONSTRAINT_VERB_IN_RANGE), "WP_CONSTRAINT_VERB_IN_RANGE", "in-range" },
    { C_ENUM(WP_CONSTRAINT_VERB_MATCHES), "WP_CONSTRAINT_VERB_MATCHES", "matches" },
    { C_ENUM(WP_CONSTRAINT_VERB_IS_PRESENT), "WP_CONSTRAINT_VERB_IS_PRESENT", "is-present" },
    { C_ENUM(WP_CONSTRAINT_VERB_IS_ABSENT), "WP_CONSTRAINT_VERB_IS_ABSENT", "is-absent" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpConstraintVerb"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

GType
wp_interest_match_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_INTEREST_MATCH_NONE), "WP_INTEREST_MATCH_NONE", "none" },
    { C_FLAGS(WP_INTEREST_MATCH_GTYPE), "WP_INTEREST_MATCH_GTYPE", "gtype" },
    { C_FLAGS(WP_INTEREST_MATCH_PW_GLOBAL_PROPERTIES), "WP_INTEREST_MATCH_PW_GLOBAL_PROPERTIES", "pw-global-properties" },
    { C_FLAGS(WP_INTEREST_MATCH_PW_PROPERTIES), "WP_INTEREST_MATCH_PW_PROPERTIES", "pw-properties" },
    { C_FLAGS(WP_INTEREST_MATCH_G_PROPERTIES), "WP_INTEREST_MATCH_G_PROPERTIES", "g-properties" },
    { C_FLAGS(WP_INTEREST_MATCH_ALL), "WP_INTEREST_MATCH_ALL", "all" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpInterestMatch"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

GType
wp_interest_match_flags_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_INTEREST_MATCH_FLAGS_NONE), "WP_INTEREST_MATCH_FLAGS_NONE", "none" },
    { C_FLAGS(WP_INTEREST_MATCH_FLAGS_CHECK_ALL), "WP_INTEREST_MATCH_FLAGS_CHECK_ALL", "check-all" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpInterestMatchFlags"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "plugin.h" */

GType
wp_plugin_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_PLUGIN_FEATURE_ENABLED), "WP_PLUGIN_FEATURE_ENABLED", "enabled" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpPluginFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "port.h" */

GType
wp_direction_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_DIRECTION_INPUT), "WP_DIRECTION_INPUT", "input" },
    { C_ENUM(WP_DIRECTION_OUTPUT), "WP_DIRECTION_OUTPUT", "output" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpDirection"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "proxy.h" */

GType
wp_proxy_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_PROXY_FEATURE_BOUND), "WP_PROXY_FEATURE_BOUND", "proxy-feature-bound" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_INFO), "WP_PIPEWIRE_OBJECT_FEATURE_INFO", "pipewire-object-feature-info" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PROPS), "WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PROPS", "pipewire-object-feature-param-props" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_PARAM_FORMAT), "WP_PIPEWIRE_OBJECT_FEATURE_PARAM_FORMAT", "pipewire-object-feature-param-format" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PROFILE), "WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PROFILE", "pipewire-object-feature-param-profile" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PORT_CONFIG), "WP_PIPEWIRE_OBJECT_FEATURE_PARAM_PORT_CONFIG", "pipewire-object-feature-param-port-config" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURE_PARAM_ROUTE), "WP_PIPEWIRE_OBJECT_FEATURE_PARAM_ROUTE", "pipewire-object-feature-param-route" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURES_MINIMAL), "WP_PIPEWIRE_OBJECT_FEATURES_MINIMAL", "pipewire-object-features-minimal" },
    { C_FLAGS(WP_PIPEWIRE_OBJECT_FEATURES_ALL), "WP_PIPEWIRE_OBJECT_FEATURES_ALL", "pipewire-object-features-all" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpProxyFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "session-item.h" */

GType
wp_session_item_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_SESSION_ITEM_FEATURE_ACTIVE), "WP_SESSION_ITEM_FEATURE_ACTIVE", "active" },
    { C_FLAGS(WP_SESSION_ITEM_FEATURE_EXPORTED), "WP_SESSION_ITEM_FEATURE_EXPORTED", "exported" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpSessionItemFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "settings.h" */

GType
wp_settings_spec_type_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_UNKNOWN), "WP_SETTINGS_SPEC_TYPE_UNKNOWN", "unknown" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_BOOL), "WP_SETTINGS_SPEC_TYPE_BOOL", "bool" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_INT), "WP_SETTINGS_SPEC_TYPE_INT", "int" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_FLOAT), "WP_SETTINGS_SPEC_TYPE_FLOAT", "float" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_STRING), "WP_SETTINGS_SPEC_TYPE_STRING", "string" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_ARRAY), "WP_SETTINGS_SPEC_TYPE_ARRAY", "array" },
    { C_ENUM(WP_SETTINGS_SPEC_TYPE_OBJECT), "WP_SETTINGS_SPEC_TYPE_OBJECT", "object" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpSettingsSpecType"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

GType
wp_settings_features_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_SETTINGS_LOADED), "WP_SETTINGS_LOADED", "loaded" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpSettingsFeatures"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "si-interfaces.h" */

GType
wp_si_adapter_ports_state_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_SI_ADAPTER_PORTS_STATE_NONE), "WP_SI_ADAPTER_PORTS_STATE_NONE", "none" },
    { C_ENUM(WP_SI_ADAPTER_PORTS_STATE_CONFIGURING), "WP_SI_ADAPTER_PORTS_STATE_CONFIGURING", "configuring" },
    { C_ENUM(WP_SI_ADAPTER_PORTS_STATE_CONFIGURED), "WP_SI_ADAPTER_PORTS_STATE_CONFIGURED", "configured" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpSiAdapterPortsState"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "transition.h" */

GType
wp_transition_step_get_type (void)
{
static gsize gtype_id = 0;
static const GEnumValue values[] = {
    { C_ENUM(WP_TRANSITION_STEP_NONE), "WP_TRANSITION_STEP_NONE", "none" },
    { C_ENUM(WP_TRANSITION_STEP_ERROR), "WP_TRANSITION_STEP_ERROR", "error" },
    { C_ENUM(WP_TRANSITION_STEP_CUSTOM_START), "WP_TRANSITION_STEP_CUSTOM_START", "custom-start" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_enum_register_static (g_intern_static_string ("WpTransitionStep"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* enumerations from "wp.h" */

GType
wp_init_flags_get_type (void)
{
static gsize gtype_id = 0;
static const GFlagsValue values[] = {
    { C_FLAGS(WP_INIT_PIPEWIRE), "WP_INIT_PIPEWIRE", "pipewire" },
    { C_FLAGS(WP_INIT_SPA_TYPES), "WP_INIT_SPA_TYPES", "spa-types" },
    { C_FLAGS(WP_INIT_SET_PW_LOG), "WP_INIT_SET_PW_LOG", "set-pw-log" },
    { C_FLAGS(WP_INIT_SET_GLIB_LOG), "WP_INIT_SET_GLIB_LOG", "set-glib-log" },
    { C_FLAGS(WP_INIT_ALL), "WP_INIT_ALL", "all" },
{ 0, NULL, NULL }
        };
        if (g_once_init_enter (&gtype_id)) {
            GType new_type = g_flags_register_static (g_intern_static_string ("WpInitFlags"), values);
            g_once_init_leave (&gtype_id, new_type);
        }
        return (GType) gtype_id;
        }

/* Generated data ends here */

